db.tables(1)

NAME
db.tables - Lists all tables for a given database.

KEYWORDS
database, attribute table

SYNOPSIS
db.tables
db.tables --help
db.tables [-ps] [driver=name] [database=name] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-p
    Print tables and exit

-s
    System tables instead of user tables

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

driver=name
    Name of database driver
    Options: dbf, ogr, sqlite
    Default: sqlite

database=name
    Name of database
    Default: $GISDBASE/$LOCATION_NAME/$MAPSET/sqlite/sqlite.db

DESCRIPTION
db.tables lists all tables for a given database.

NOTE
If parameters for database connection are already set with db.connect, they are taken as default values and do not need to be spcified each time.

EXAMPLES

  List all tables if database connection is already set

db.tables -p

  List all DBF tables

db.tables driver=dbf database=/grassdata/nc_spm_08/user1/PERMANENT/dbf

  List all tables in SQLite database (note that this is the default setting)

db.tables -p driver=sqlite database=’$GISDBASE/$LOCATION_NAME/$MAPSET/sqlite/sqlite.db’

SEE ALSO
db.columns, db.droptable, db.login, db.execute, GRASS SQL interface

AUTHOR
Unknown

Last changed: $Date$

SOURCE CODE

Available at: db.tables source code (history)

Main index | Database index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual